Problem sa WPA2 prilikom netinstall-a

Problem je da Debian prilikom netinstall-a ne ume da povuče podatke sa AP-a kada je podignuta WPA, WPA2 i WEP zaštita na ruteru.

Zbog čega je to tako?

P.S. Kada se skine zaštita i pristup AP-u je bez ikakve zaštite onda normalno krene net instalacija, dok ovako stalno izbacuje da je nemoguće povezati se na mrežu.

Ako je Debian Squeeze u pitanju ondak je to normalno, on nema WPA/2 podršku u instaleru :chiffa: . WEP ima ali ono njega ne vredi više ni pominjati, algoritam je razbijen i ne preporučuje se više uopće, itd. Naravno to važi samo za instaler kasnije imaš WPA/2.

Wheezy instaler ima podršku za WPA/2 :).

Pa koji instaler dolazi uz net install mini iso koji si ti preporučio na “onoj” temi oko virtualbox-a?

P.S. problem je što ni WEP ne funkcioniše… A jel postoji neki valjani razlog što uz instaler ne dolazi i podrška za WPA2?

Taj mini.iso je sa wheezy instalerom, a mini.iso je netboot varijanta a nije netinstall.iso ;). Mini.iso mislim da nema wpasupplicant paket, a netinstall.iso ga ima

http://cdimage.debian.org/debian-cd/7.2.0/i386/list-cd/debian-7.2.0-i386-netinst.list.gz

Vidiš ove udeb pakete najbitnije je da iso ima wpasupplicant-udeb što ti pruža podršku za WPA/2 ;).

U stvari ima ga i mini, ne znam trebalo bi da radi to ali ne ovaj mini nema uz udeb i normalan deb wpasupplicant paket verovatno zbog toga ne radi ;).

http://ftp.us.debian.org/debian/dists/unstable/main/installer-i386/current/images/udeb.list

Taj mini iso je za wifi praktičan otprilike k’o da ti neko da konzervu sa otvaračem u konzervi :smiley:

Yep cca 12 puta je manji od netinstall, verovatno mu i fali nešto da funkcioniše wifi oma :D.

Fali mu lan kabl i onda nema problema :slight_smile:
Ako je za neku utehu, indijancu je taj kabl neophodan i posle završene instalacije…nisam ja bezveze digao onomad onoliku prašinčinu hiltijem da provučem kabl do mene :biggrin:

Ima i ovaj gtk mini iso možda nekom treba, ali to je mislim isto samo što ima i onaj “lepi” kliktaroški instaler :biggrin:

http://ftp.us.debian.org/debian/dists/unstable/main/installer-i386/current/images/netboot/gtk/

Taj mini-klikete je utunte tvorevina :smiley:

Mora da je :D. Da se ja pitam za mini default bi trebalo da bude experttm :connie_jackinabox: . A ne ovako neko butuje i juleti u ono đubri od gnoma 3 :D. U stvari da, neke novije verzije ovoga će uleteti u xfce jelte pošto je skoro promenjen xfce kao default u instaleru :D.

Jel to neka aluzija na moju prvobitnu instalaciju kada sam ja ugazio u g…g…gnome3? :smiley:
Znam, kriv sam, evo stidim se 3 minuta za kaznu što sam bio lenština, pa nisam odma’ izabrao da se instaliram k’o expert :smiley:

Aha nije aluzuja, nego slučajnost :D. Najsmešnije je što čovek promeni string u instaleru na xfce privremeno, kad ono odmah diljem neta stižu vesti da Debian prelazi na xfce :D. Ko da ima veze šta je default, instaliraš šta hoćeš oduvek bilo :D.

Pa ima veze…posle ti treba purgativa onoliko da pročistiš kanalizaciju :smiley:
Da se ti pitaš, default bi bio openbox, a ostalo mož’ da se instalira tek posle 30 pripravničkih dana, jel? :smiley:
Meni svejedno, dovoljan mi je i fvwm :slight_smile:

[ATTACH]2232.IPB[/ATTACH]

Da se ja pitam u apt.conf bi recommends i suggests bio default na zero :playboy: , da ne moram isprva da svičujem sa --no-install-recommends :D. U stvari to je prvo što uradim posle base instalacije u /etc/apt/apt.conf pošaljem

APT::Install-Recommends “0”;
APT::Install-Suggests “0”;

Malo je da bude openbox default ako će i recommends da povlači :D. Baš danas stigao apdejt za openbox

http://packages.qa.debian.org/o/openbox/news/20131202T100039Z.html

I ako neko ovo ne isključi povućiće mu i ove nove openbox-gnome-session i openbox-kde-session pakete brez potrebe :D. Za synaptic važi isto pravilo samo je njemu config na drugom mestu u /etc/apt/apt.conf.d/99synaptic i tamo stoji:

APT::Install-Recommends “false”;

E tek ovako kasnije purgativi ne trebaju :D, osim repova normalnih za testing/sid - to se rešava sa deborphan periodično ;).

Hm?..ja ili sam lud, ili u mom sidu nema apt.conf fajla…tražim ga već 10-15 minuta i nix :dash1:

[ATTACH]2233.IPB[/ATTACH]

Mislim…nije problem da se napravi, ali zar ga nema uz apt prilikom instalacije?

REŠENO:

https://wiki.debian.org/AptConf

Ne i nema ga :), moderno je sada da se pravi na parče u xyz.d/ ali ja znam da može i ovako kao nekada pa teram po starom :connie_pumpkinsmile: .

https://wiki.debian.org/AptConf

Aha rešio si sad :), daklem umesto sa apt.conf sad to ide u fajlu /etc/apt/apt.conf.d/70debconf , a možeš svašta tu da konfigurišeš ja na primer tu stavim i liniju:

Acquire::Languages “en”;

Tako da apt ne proverava i ostale one Translations, čini mi se da su bili upaljeni nekad by default u aptu oko wheezy release, možda više nije slučaj :connie_pumpkinsmile:

Ok, i tu sam pronjuškao…korisna komanda je

apt-config

sa

apt-config dump
izlistaš kompletnu konfiguraciju :slight_smile:

…a da ne vrtiš nazad u terminalu, preusmeriš u fajl, pa čitaš natenane :slight_smile:

apt-config dump > aptdump.txt

[ATTACH]2234.IPB[/ATTACH]

Yep i ako ti se nešto ne sviđa tako kako jeste, natrpaš u onom fajlu kontra ili kako već hoćeš :chiffa: .

Već mi pada na pamet skriptica koja u sred netinstalacije, promeni u aptu jezik npr na tajski…kad se završi, dobije se neki čao-praja sistem, u kome se ne zna šta je kuka a šta kvaka :biggrin:

EDIT:
Samo da te obavestim…bing je odavno pobegao, gugule je još uvek tu, ali i on već žmirka…pola 5 je, valjalo bi malo i odspavati :slight_smile:

Kuckamo se sutra :slight_smile:

Lep opis unajkraćem za mnoge Debian derivate :biggrin:. Oni uglavnom čačnu malo prioritet da vuče od njih neke pakete i to je to Debian distrojos :biggrin:

https://wiki.debian.org/AptPreferences

Ajd laku noć :). Što se fvwm tiče, to ti je to minimalno dosta je čoveku i jedan wm, jedan panel, jedan fajl menadžer, jedan editor teskta i konzolica pa da može da se funkcioniše :biggrin:.